Initialize seller boarding process
POST/v3/boarding/merchants/sellers/init
Initialize seller boarding process
Request
Header Parameters
Unique key used to authenticate API requests.
The Signature header is used to ensure the request’s body integrity and to confirm that its content has not changed.
The Accept request HTTP header advertises which content types, expressed as MIME types, the client is able to understand. Can be set to */*.
The Content-Type entity header is used to indicate the media type of the resource.
- application/json
Body
required
Request body for init process
Polish tax identification number
Possible values: >= 10 characters and <= 10 characters
The URL that the status notification will be sent to
Possible values: <= 1000 characters
Responses
- 201
- 400
- 401
- 409
- 500
Created
- application/json
- Schema
- Example (from schema)
Schema
Possible values: >= 15 characters and <= 15 characters, Value must match regular expression ^([a-zA-Z0-9]{3}(-[a-zA-Z0-9]{3}){3})$
Address to redirect the seller
Possible values: [NEW]
{
"sellerId": "MB3-42Y-HRI-K9G",
"sellerApplicationUrl": "https://melements.pl/...",
"status": "NEW"
}
Bad request
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Error status code
errors
object[]
required
Error type
Possible values: [CONFLICT, FORBIDDEN, NOT_FOUND, RATE_LIMIT_REACHED, SYSTEM_TEMPORARILY_UNAVAILABLE, UNAUTHORIZED, VALIDATION_ERROR, VERIFICATION_FAILED, PAYMENT_METHOD_NOT_AVAILABLE, PAYMENT_AMOUNT_TOO_SMALL, PAYMENT_AMOUNT_TOO_LARGE, IDEMPOTENCY_KEY_MISSING, SIGNATURE_MISSING]
Error description
{
"statusCode": 0,
"errors": [
{
"errorType": "CONFLICT",
"message": "string"
}
]
}
{
"statusCode": 400,
"errors": [
{
"errorType": "VALIDATION_ERROR",
"message": "Missing field XXX"
},
{
"errorType": "VALIDATION_ERROR",
"message": "Invalid format of field YYY"
}
]
}
Unauthorized, invalid or missing credentials
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
- UnauthorizedErrorDetails
]
Error status code
errors
object[]
required
oneOf
Error details
Error type
Possible values: [UNAUTHORIZED]
Error description
{
"statusCode": 0,
"errors": [
{}
]
}
{
"statusCode": 401,
"errors": [
{
"errorType": "UNAUTHORIZED",
"message": "Unauthorized, invalid or missing credentials"
}
]
}
Conflict
- application/json
- Schema
- Example (from schema)
- Example
Schema
Error type
Possible values: [CONFLICT, FORBIDDEN, NOT_FOUND, RATE_LIMIT_REACHED, SYSTEM_TEMPORARILY_UNAVAILABLE, UNAUTHORIZED, VALIDATION_ERROR, VERIFICATION_FAILED, PAYMENT_METHOD_NOT_AVAILABLE, PAYMENT_AMOUNT_TOO_SMALL, PAYMENT_AMOUNT_TOO_LARGE, IDEMPOTENCY_KEY_MISSING, SIGNATURE_MISSING]
Error description
{
"errorType": "CONFLICT",
"message": "string"
}
{
"statusCode": 409,
"errors": [
{
"errorType": "CONFLICT",
"message": "Seller application with given nip is currently processed"
}
]
}
Internal server error
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Error status code
errors
object[]
required
Error type
Possible values: [INTERNAL_SERVER_ERROR]
Error description
{
"statusCode": 0,
"errors": [
{
"errorType": "INTERNAL_SERVER_ERROR",
"message": "string"
}
]
}
{
"statusCode": 500,
"errors": [
{
"errorType": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
]
}